using System;
using _Workbench.Layers.Modules;
using Quadarax.Foundation.Infrastructure.Layers;
using StructureMap;


namespace _Workbench.Layers
{
    public class DefaultBusinessLayer : BusinessLayer
    {
        public DefaultBusinessLayer(string name, Layer parentLayer) : base(name, parentLayer)
        {
        }

        protected override void OnLayerRegistry()
        {
            AddChildLayer(new DefaultDataLayer("DatLayer", this));
        }

        protected override void OnModuleRegistry(IContainer container)
        {
            container.Configure(x => 
                x.For<IModBuss>().Use<ModBusiness>()
            );
        }
    }
}
